# $Id: init.sql,v 1.14 2008-09-24 09:55:17 fraynaud Exp $
# 
# Base de donnes: `opencimetiere`
# 

# --------------------------------------------------------

#
# Structure de la table `autorisation`
#

CREATE TABLE autorisation (
  autorisation int(8) NOT NULL default '0',
  emplacement int(8) NOT NULL default '0',
  nature varchar(15) NOT NULL default '',
  titre varchar(4) NOT NULL default '',
  nom varchar(40) NOT NULL default '',
  marital varchar(40) NOT NULL default '',
  prenom varchar(40) NOT NULL default '',
  datenaissance date NOT NULL default '0000-00-00',
  adresse1 varchar(40) NOT NULL default '',
  adresse2 varchar(40) NOT NULL default '',
  cp varchar(5) NOT NULL default '',
  ville varchar(40) NOT NULL default '',
  telephone varchar(15) NOT NULL default '',
  dcd char(3) NOT NULL default '',
  parente varchar(15) NOT NULL default '',
  observation longtext NOT NULL,
  PRIMARY KEY  (autorisation)
) TYPE=MyISAM;


#
# Structure de la table `cimetiere`
#

CREATE TABLE cimetiere (
  cimetiere int(8) NOT NULL default '0',
  cimetierelib varchar(40) NOT NULL default '',
  adresse1 varchar(40) NOT NULL default '',
  adresse2 varchar(40) NOT NULL default '',
  cp varchar(5) NOT NULL default '',
  ville varchar(40) NOT NULL default '',
  observations longtext NOT NULL,
  PRIMARY KEY  (cimetiere)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Structure de la table `collectivite`
#

CREATE TABLE collectivite (
  ville varchar(30) NOT NULL default '',
  logo varchar(40) NOT NULL default '',
  maire varchar(40) NOT NULL default '',
  id int(2) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Contenu de la table `collectivite`
#

INSERT INTO collectivite VALUES ('Libreville', '../img/opencimetiere.png', 'H.DUPONT', 0);

# --------------------------------------------------------

#
# Structure de la table `defunt`
#

CREATE TABLE courrier (
  courrier int(8) NOT NULL default '0',
  destinataire int(8) NOT NULL default '0',
  datecourrier date NOT NULL default '0000-00-00',
  lettretype varchar(40) NOT NULL default '',
  complement longtext NOT NULL,
  emplacement int(8) NOT NULL default '0',
  PRIMARY KEY  (courrier)
) TYPE=MyISAM ;
#
# Structure de la table `defunt`
#
# --------------------------------------------------------
CREATE TABLE defunt (
  defunt int(8) NOT NULL default '0',
  nature varchar(15) NOT NULL default 'cercueil',
  taille float NOT NULL default '0',
  emplacement int(8) NOT NULL default '0',
  titre varchar(4) NOT NULL default 'Mr',
  nom varchar(40) NOT NULL default '',
  prenom varchar(40) NOT NULL default '',
  marital varchar(40) NOT NULL default '',
  datenaissance date default NULL,
  datedeces date default NULL,
  lieudeces varchar(40) NOT NULL default '',
  dateinhumation date default NULL,
  exhumation char(3) NOT NULL default '',
  dateexhumation date default NULL,
  observation longtext NOT NULL,
  reduction char(3) NOT NULL default '',
  datereduction date default NULL,
  historique longtext NOT NULL,
  PRIMARY KEY  (defunt)
) TYPE=MyISAM;
    



#
# Structure de la table `droit`
#

CREATE TABLE droit (
  droit varchar(30) NOT NULL default '',
  profil int(2) NOT NULL default '0',
  PRIMARY KEY  (droit)
) TYPE=MyISAM;

#
# Contenu de la table `droit`
#

INSERT INTO droit VALUES ('utilisateur', 5);
INSERT INTO droit VALUES ('droit', 5);
INSERT INTO droit VALUES ('profil', 5);
INSERT INTO droit VALUES ('emplacement', 3);
INSERT INTO droit VALUES ('concession', 3);
INSERT INTO droit VALUES ('ossuaire', 3);
INSERT INTO droit VALUES ('depositoire', 3);
INSERT INTO droit VALUES ('colombarium', 3);
INSERT INTO droit VALUES ('terraincommunal', 3);
INSERT INTO droit VALUES ('cimetiere', 4);
INSERT INTO droit VALUES ('voie', 4);
INSERT INTO droit VALUES ('zone', 4);
INSERT INTO droit VALUES ('plans', 4);
INSERT INTO droit VALUES ('defunt', 3);
INSERT INTO droit VALUES ('concessionnaire', 3);
INSERT INTO droit VALUES ('ayantdroit', 3);
INSERT INTO droit VALUES ('collectivite', 5);
INSERT INTO droit VALUES ('enfeu', 3);
# --------------------------------------------------------

#
# Structure de la table `emplacement`
#

CREATE TABLE emplacement (
  emplacement int(8) NOT NULL default '0',
  nature varchar(20) NOT NULL default '',
  numero int(8) NOT NULL default '0',
  complement varchar(6) NOT NULL default '',
  voie int(8) NOT NULL default '0',
  numerocadastre varchar(15) NOT NULL default '',
  famille varchar(40) NOT NULL default '',
  numeroacte varchar(15) NOT NULL default '',
  datevente date NOT NULL default '0000-00-00',
  terme varchar(15) NOT NULL default '0',
  duree int(8) NOT NULL default '0',
  dateterme date NOT NULL default '0000-00-00',
  nombreplace float NOT NULL default '0',
  placeoccupe float NOT NULL default '0',
  superficie float NOT NULL default '0',
  placeconstat float NOT NULL default '0',
  dateconstat date NOT NULL default '0000-00-00',
  observation longtext NOT NULL,
  plans varchar(30) NOT NULL default '',
  positionx int(8) NOT NULL default '10',
  positiony int(8) NOT NULL default '10',
  photo varchar(20) NOT NULL default '',
  libre char(3) NOT NULL default '',
  sepulturetype varchar(30) NOT NULL default '',
  temp1 varchar(100) NOT NULL,
  temp2 varchar(100) NOT NULL,
  temp3 varchar(100) NOT NULL,
  temp4 varchar(100) NOT NULL,
  temp5 varchar(100) NOT NULL,
  PRIMARY KEY  (emplacement)
);




#
# Structure de la table `plans`
#

CREATE TABLE plans (
  plans varchar(20) NOT NULL default '',
  planslib varchar(40) NOT NULL default '',
  PRIMARY KEY  (plans)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Structure de la table `profil`
#

CREATE TABLE profil (
  profil int(2) NOT NULL default '0',
  libelle_profil varchar(30) NOT NULL default '',
  PRIMARY KEY  (profil)
) TYPE=MyISAM;

#
# Contenu de la table `profil`
#

INSERT INTO profil VALUES (5, 'ADMINISTRATEUR');
INSERT INTO profil VALUES (4, 'SUPER UTILISATEUR');
INSERT INTO profil VALUES (3, 'UTILISATEUR');
INSERT INTO profil VALUES (2, 'UTILISATEUR LIMITE');
INSERT INTO profil VALUES (1, 'CONSULTATION');

# --------------------------------------------------------

#
# Structure de la table `utilisateur`
#

CREATE TABLE utilisateur (
  idUtilisateur int(8) NOT NULL default '0',
  nom varchar(30) NOT NULL default '',
  Login varchar(30) NOT NULL default '',
  Pwd varchar(100) NOT NULL default '',
  profil int(2) NOT NULL default '0',
  PRIMARY KEY  (idUtilisateur)
) TYPE=MyISAM COMMENT='Liste utilisateurs';

#
# Contenu de la table `utilisateur`
#

INSERT INTO utilisateur VALUES (2, 'demo', 'demo', 'fe01ce2a7fbac8fafaed7c982a04e229', 5);
INSERT INTO utilisateur VALUES (3, 'util', 'util', '05c7e24700502a079cdd88012b5a76d3', 3);

# --------------------------------------------------------

#
# Structure de la table `utilisateur_seq`
#

CREATE TABLE utilisateur_seq (
  id int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

#
# Contenu de la table `utilisateur_seq`
#

INSERT INTO utilisateur_seq VALUES (3);

# --------------------------------------------------------

#
# Structure de la table `voie`
#

CREATE TABLE voie (
  voie int(8) NOT NULL default '0',
  zone int(8) NOT NULL default '0',
  voietype varchar(30) NOT NULL default '',
  voielib varchar(40) NOT NULL default '',
  PRIMARY KEY  (voie)
) TYPE=MyISAM;



# --------------------------------------------------------

#
# Structure de la table `zone`
#

CREATE TABLE zone (
  zone int(8) NOT NULL default '0',
  cimetiere int(8) NOT NULL default '0',
  zonetype varchar(30) NOT NULL default '',
  zonelib varchar(40) NOT NULL default '',
  PRIMARY KEY  (zone)
) TYPE=MyISAM;


# entreprise
CREATE TABLE `entreprise` (
`idintervenant` INT( 8 ) NOT NULL ,
`nomentreprise` VARCHAR( 60 ) NOT NULL ,
`adresse1` VARCHAR( 40 ) NOT NULL ,
`adresse2` VARCHAR( 40 ) NOT NULL ,
`cp` VARCHAR( 5 ) NOT NULL ,
`ville` VARCHAR( 40 ) NOT NULL ,
`telephone` VARCHAR( 40 ) NOT NULL ,
PRIMARY KEY ( `idintervenant` )
);

CREATE TABLE `travaux` (
`idtravaux` INT( 8 ) NOT NULL ,
`idintervenant` INT( 8 ) NOT NULL ,
`emplacement` INT( 8 ) NOT NULL ,
`datedebinter` DATE NOT NULL ,
`datefininter` DATE NOT NULL ,
`observation` LONGTEXT NOT NULL ,
`naturedemandeur` VARCHAR( 20 ) NOT NULL ,
`naturetravaux` VARCHAR( 40 ) NOT NULL ,
PRIMARY KEY ( `idtravaux` ) 
);


# archives

CREATE TABLE `autorisation_archive` (
`autorisation` int( 8 ) NOT NULL default '0',
`emplacement` int( 8 ) NOT NULL default '0',
`nature` varchar( 15 ) NOT NULL default '',
`titre` varchar( 4 ) NOT NULL default '',
`nom` varchar( 40 ) NOT NULL default '',
`marital` varchar( 40 ) NOT NULL default '',
`prenom` varchar( 40 ) NOT NULL default '',
`datenaissance` date NOT NULL default '0000-00-00',
`adresse1` varchar( 40 ) NOT NULL default '',
`adresse2` varchar( 40 ) NOT NULL default '',
`cp` varchar( 5 ) NOT NULL default '',
`ville` varchar( 40 ) NOT NULL default '',
`telephone` varchar( 15 ) NOT NULL default '',
`dcd` char( 3 ) NOT NULL default '',
`parente` varchar( 15 ) NOT NULL default '',
`observation` longtext NOT NULL ,
PRIMARY KEY ( `autorisation` ) 
);
CREATE TABLE `defunt_archive` (
`defunt` int( 8 ) NOT NULL default '0',
`nature` varchar( 15 ) NOT NULL default 'cercueil',
`taille` float NOT NULL default '0',
`emplacement` int( 8 ) NOT NULL default '0',
`titre` varchar( 4 ) NOT NULL default 'Mr',
`nom` varchar( 40 ) NOT NULL default '',
`prenom` varchar( 40 ) NOT NULL default '',
`marital` varchar( 40 ) NOT NULL default '',
`datenaissance` date NOT NULL default '0000-00-00',
`datedeces` date NOT NULL default '0000-00-00',
`lieudeces` varchar( 40 ) NOT NULL default '',
`dateinhumation` date NOT NULL default '0000-00-00',
`exhumation` char( 3 ) NOT NULL default '',
`dateexhumation` date NOT NULL default '0000-00-00',
`observation` longtext NOT NULL ,
`reduction` char( 3 ) NOT NULL default '',
`datereduction` date NOT NULL default '0000-00-00',
`historique` longtext NOT NULL ,
PRIMARY KEY ( `defunt` ) 
) ;
CREATE TABLE emplacement_archive (
  emplacement int(8) NOT NULL default '0',
  nature varchar(20) NOT NULL default '',
  numero int(8) NOT NULL default '0',
  complement varchar(6) NOT NULL default '',
  voie int(8) NOT NULL default '0',
  numerocadastre varchar(15) NOT NULL default '',
  famille varchar(40) NOT NULL default '',
  numeroacte varchar(15) NOT NULL default '',
  datevente date NOT NULL default '0000-00-00',
  terme varchar(20) NOT NULL default '0',
  duree int(8) NOT NULL default '0',
  dateterme date NOT NULL default '0000-00-00',
  nombreplace float NOT NULL default '0',
  placeoccupe float NOT NULL default '0',
  superficie float NOT NULL default '0',
  placeconstat float NOT NULL default '0',
  dateconstat date NOT NULL default '0000-00-00',
  observation longtext NOT NULL,
  plans varchar(30) NOT NULL default '',
  positionx int(8) NOT NULL default '10',
  positiony int(8) NOT NULL default '10',
  photo varchar(20) NOT NULL default '',
  libre char(3) NOT NULL default '',
  sepulturetype varchar(30) NOT NULL default '',
  PRIMARY KEY  (emplacement)
) ;
    
CREATE TABLE `travaux_archive` (
`idtravaux` int( 8 ) NOT NULL default '0',
`idintervenant` int( 8 ) NOT NULL default '0',
`emplacement` int( 8 ) NOT NULL default '0',
`datedebinter` date NOT NULL default '0000-00-00',
`datefininter` date NOT NULL default '0000-00-00',
`observation` longtext NOT NULL ,
`naturedemandeur` varchar( 20 ) NOT NULL default '',
`naturetravaux` varchar( 40 ) NOT NULL default '',
PRIMARY KEY ( `idtravaux` ) 
);
CREATE TABLE `courrier_archive` (
`courrier` int( 8 ) NOT NULL default '0',
`destinataire` int( 8 ) NOT NULL default '0',
`datecourrier` date NOT NULL default '0000-00-00',
`lettretype` varchar( 40 ) NOT NULL default '',
`complement` longtext NOT NULL ,
`emplacement` int( 8 ) NOT NULL default '0',
PRIMARY KEY ( `courrier` ) 
); 

CREATE TABLE `dossier` (
`dossier` INT( 8 ) NOT NULL ,
`emplacement` INT( 8 ) NOT NULL ,
`fichier` VARCHAR( 40 ) NOT NULL ,
`datedossier` DATE NOT NULL ,
`observation` LONGTEXT NOT NULL,
`typedossier` VARCHAR( 20 ) NOT NULL ,
PRIMARY KEY ( `dossier` )
);
CREATE TABLE `dossier_archive` (
`dossier` INT( 8 ) NOT NULL ,
`emplacement` INT( 8 ) NOT NULL ,
`fichier` VARCHAR( 40 ) NOT NULL ,
`datedossier` DATE NOT NULL ,
`observation` LONGTEXT NOT NULL,
`typedossier` VARCHAR( 20 ) NOT NULL ,
PRIMARY KEY ( `dossier` )
);

# --------------------------------------------------------

#
# Structure de la table `temp_autorisation`
#

CREATE TABLE `temp_autorisation` (
  `id` int(8) NOT NULL default '0',
  `emplacement` int(8) NOT NULL default '0',
  `autorisation` int(8) NOT NULL default '0',
  `nature` varchar(15) NOT NULL default '',
  `titre` varchar(4) NOT NULL default '',
  `nom` varchar(40) NOT NULL default '',
  `marital` varchar(40) NOT NULL default '',
  `prenom` varchar(40) NOT NULL default '',
  `datenaissance` varchar(10) NOT NULL default '',
  `numero` varchar(10) NOT NULL default '',
  `complement` varchar(15) NOT NULL default '',
  `adresse1` varchar(80) NOT NULL default '',
  `adresse2` varchar(80) NOT NULL default '',
  `cp` varchar(5) NOT NULL default '',
  `ville` varchar(40) NOT NULL default '',
  `telephone` varchar(15) NOT NULL default '',
  `dcd` char(3) NOT NULL default '',
  `parente` varchar(15) NOT NULL default '',
  `temp_emplacement` varchar(80) NOT NULL default '',
  `temp_cimetiere` varchar(10) NOT NULL default '',
  `verrou` char(3) NOT NULL default 'Non',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
    
# --------------------------------------------------------

#
# Structure de la table `temp_defunt`
#

CREATE TABLE `temp_defunt` (
  `id` int(8) NOT NULL default '0',
  `defunt` int(8) NOT NULL default '0',
  `nature` varchar(15) NOT NULL default '',
  `taille` float NOT NULL default '0',
  `emplacement` int(8) NOT NULL default '0',
  `titre` varchar(4) NOT NULL default '',
  `nom` varchar(40) NOT NULL default '',
  `prenom` varchar(40) NOT NULL default '',
  `marital` varchar(40) NOT NULL default '',
  `datenaissance` varchar(10) NOT NULL default '',
  `datedeces` varchar(10) NOT NULL default '',
  `lieudeces` varchar(40) NOT NULL default '',
  `dateinhumation` varchar(10) NOT NULL default '',
  `exhumation` char(3) NOT NULL default '',
  `dateexhumation` varchar(10) NOT NULL default '',
  `observation` longtext NOT NULL,
  `reduction` char(3) NOT NULL default '',
  `datereduction` varchar(10) NOT NULL default '',
  `temp_emplacement` varchar(80) NOT NULL default '',
  `temp_cimetiere` int(8) NOT NULL default '0',
  `verrou` char(3) NOT NULL default 'Non',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Structure de la table `temp_emplacement`
#

CREATE TABLE `temp_emplacement` (
  `id` int(8) NOT NULL default '0',
  `emplacement` int(8) NOT NULL default '0',
  `nature` varchar(20) NOT NULL default '',
  `numero` int(8) NOT NULL default '0',
  `complement` varchar(6) NOT NULL default '',
  `voie` int(8) NOT NULL default '0',
  `numerocadastre` varchar(15) NOT NULL default '',
  `famille` varchar(40) NOT NULL default '',
  `numeroacte` varchar(15) NOT NULL default '',
  `datevente` varchar(10) NOT NULL default '',
  `terme` varchar(15) NOT NULL default '0',
  `duree` varchar(15) NOT NULL default '0',
  `dateterme` varchar(10) NOT NULL default '',
  `nombreplace` float NOT NULL default '0',
  `placeoccupe` float NOT NULL default '0',
  `superficie` float NOT NULL default '0',
  `placeconstat` float NOT NULL default '0',
  `dateconstat` varchar(10) NOT NULL default '',
  `observation` longtext NOT NULL,
  `plans` varchar(30) NOT NULL default '',
  `positionx` int(8) NOT NULL default '10',
  `positiony` int(8) NOT NULL default '10',
  `photo` varchar(80) NOT NULL default '',
  `p_dossier` varchar(15) NOT NULL default '',
  `acteconcession` varchar(40) NOT NULL default '',
  `d_dossier1` varchar(15) NOT NULL default '',
  `fichemanuelle` varchar(40) NOT NULL default '',
  `d_dossier2` varchar(15) NOT NULL default '',
  `archive` varchar(40) NOT NULL default '',
  `d_dossier3` varchar(15) NOT NULL default '',
  `libre` char(3) NOT NULL default '',
  `sepulturetype` varchar(30) NOT NULL default '',
  `temp_emplacement` varchar(80) NOT NULL default '',
  `temp_zone` varchar(80) NOT NULL default '',
  `temp_voie` varchar(80) NOT NULL default '',
  `temp_numero` varchar(80) NOT NULL default '',
  `temp_cimetiere` varchar(80) NOT NULL default '',
  `verrou` char(3) NOT NULL default 'Non',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
    

